use strict;
use warnings;
use lib '.';
use femaletwo;

my ($poptotal, $days, $type) = @ARGV;
$poptotal ||= 100;
$days ||= 365;
$type ||= 0;

my $popref = createpop($poptotal, $type);
printfullness($days, $popref);

sub printfullness {
	my ($days, $popref) = @_;
	my $count = 0;
	
	for (1..$days) {
		my $bleedingtotal = 0;
		
		for (@$popref) {
			 $bleedingtotal += $_->isbleeding;
#			 print "mbfws ", $_->mustbefedwithstick, "\n";
#			 print "mnttm ", $_->maynevertalktomales, "\n";			 
		}

		print $count++, " $bleedingtotal\n";
		turnearth($popref);
	}
	
}

sub createpop {
	my ($total, $type) = @_;
	my @pop;

	for (1..$total) {
		push @pop, new femaletwo($type);
	}

	return \@pop;
}

sub turnearth {
	my $pop = shift;
	$_->addday for @$pop;
}
